QGIS Application - Bug report #17903

Missing cancel (and help) button in the symbol selector dialogs

2018-01-20 07:37 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.15 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25799
Description

Open vector layer properties --> Style --> Categorized style
Do the classification
Double-clic on a category symbol or the [Change] widget

The dialog that opens misses Cancel button (and in master, also the Help button). This is inconsistent with clicking the symbol in the layer

tree. Actually instead of using QgsSymbolSelectorDialog as this context requires (show a dialog) the code is using

QgsSymbolSelectorWidget (like embedded widgets in the styling panel).
This also concerns graduated style and the Edit rule dialog

PR at https://github.com/qgis/QGIS/pull/5976/ for categorized and graduated for master

See https://github.com/qgis/QGIS/pull/6187 for rule-based

Associated revisions

Revision 1¢34339b - 2018-04-30 02:23 PM - Harrissou Santanna

Use modal dialog when in properties dialog, allowing to cancel

the process and add help button (fix #17903).
Also fix crash that occurs when pressing ESC button.

and fix doc

History

#1 - 2018-02-09 07:58 AM - Harrissou Santanna
- Pull Request or Patch supplied changed from No to Yes
- Description updated

#2 - 2018-05-09 08:03 AM - Harrissou Santanna
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|1c34339b3c84061ce95dbc60c8600a8378f65e1c.
